#!/usr/bin/env bash

#POOL="DevNosoEU"	
POOL="devnoso"	
#POOL="leviable"	
#POOL="russiapool"	
#POOL="CryptoCribRO"	
WALLET="${W}"
CPU=${CPU}

for wallet in ${WALLET:?Variable not set or is empty}; do
    wallets+=" --wallet $wallet"
done

while true; do
  ./noso-go mine pool \
    "${POOL:?Variable not set or is empty}" \
    $wallets \
    --cpu ${CPU:?Variable not set or is empty} \
    --exit-on-retry \
    --random-wallet

  exit_code=$?
  if [ "$exit_code" != "1" ]; then
      continue
  else
      exit $exit_code
  fi
done
